This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1026838 - I18NTextImpl doesn't update shortText when text is updated
I18NTextImpl doesn't update shortText when text is updated
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
medium Severity medium
: GA
: ---
Assigned To: Maciej Swiderski
Radovan Synek
:
Depends On: 1018173
Blocks: 1008824 1022758
  Show dependency treegraph
 
Reported: 2013-11-05 09:07 EST by Alessandro Lazarotti
Modified: 2014-02-13 12:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1018173
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4148 Major Resolved I18NTextImpl doesn't update shortText when text is updated 2016-11-02 08:49 EDT

  None (edit)
Description Alessandro Lazarotti 2013-11-05 09:07:21 EST
+++ This bug was initially created as a clone of Bug #1018173 +++

Description of problem:

Platform BZ for https://issues.jboss.org/browse/JBPM-4148

Steps to Reproduce:
1. Get a Task with taskService.getTaskById()
2. Modify task name of the Task with InternalI18NText.setText()
3. Get a TaskSummary with taskService.getTasksAssignedAsPotentialOwner()

Test case in https://github.com/droolsjbpm/jbpm/pull/181 would explain well.

Actual results:

TaskSummary.getName() returns old task name.

Expected results:

TaskSummary.getName() returns updated task name.
Comment 1 JBoss JIRA Server 2013-11-18 13:58:26 EST
Maciej Swiderski <swiderski.maciej@gmail.com> updated the status of jira JBPM-4148 to Resolved
Comment 2 JBoss JIRA Server 2013-11-18 13:58:26 EST
Maciej Swiderski <swiderski.maciej@gmail.com> made a comment on jira JBPM-4148

pull request has been merged already in master, thanks Toshiya
Comment 3 Maciej Swiderski 2013-11-18 14:12:37 EST
backported to 5.2.x branch:

https://github.com/droolsjbpm/jbpm/commit/3c9a0fff17e35f7d5273abf4a4c27b752b2df4c3

please note that this functionality is only available when using LocalTaskService
Comment 4 Radovan Synek 2014-02-13 12:16:24 EST
Verified with BRMS-5.3.1-P05

Note You need to log in before you can comment on or make changes to this bug.